abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
    dnes 13:33 | Nová verze

    Byla vydána nová major verze 1.24.0, tj. první stabilní verze nové řady 1.24, multiplatformního multimediálního frameworku GStreamer (Wikipedie). Podrobnosti v poznámkách k vydání.

    Ladislav Hagara | Komentářů: 0
    dnes 13:22 | Nová verze

    Byla vydána nová verze 13.3 svobodného unixového operačního systému FreeBSD. Podrobný přehled novinek v poznámkách k vydání.

    Ladislav Hagara | Komentářů: 4
    dnes 12:11 | Pozvánky

    Jsou to už tři roky, co bastlíři z projektu MacGyver klubu SiliconHill měsíc co měsíc organizují virtuální setkání bastlířů, elektroniků a ajťáků. Za tu dobu se online setkalo už 719 unikátních přezdívek a celkově se prokecalo 100 hodin. Tak neváhejte a doražte si taktéž popovídat o elektronice, IT a technice obecně. Z připravených témat mohou strahováci nabídnout novou stabilní verzi KiCADu nebo simulátor QSpice s podporou digitálních

    … více »
    bkralik | Komentářů: 0
    dnes 08:00 | Komunita

    Před týdnem Nintendo zažalovalo společnost Tropic Haze zastřešující vývoj open source emulátoru přenosné herní konzole Nintendo Switch yuzu. Včera se společnosti dohodly (pdf, pdf), že Tropic Haze zaplatí Nintendu 2,4 milionu dolarů a vývoj emulátoru neprodleně ukončí. Ukončen byl také vývojáři yuzu podporovaný vývoj open source emulátoru přenosné herní konzole Nintendo 3DS Citra.

    Ladislav Hagara | Komentářů: 0
    včera 18:33 | IT novinky

    Apple dnes představil nový MacBook Air s čipem M3. Jak na něm pojede Asahi Linux?

    Ladislav Hagara | Komentářů: 3
    včera 16:44 | IT novinky

    Hodnota Bitcoinu, decentralizované kryptoměny překonala 65 000 dolarů (1 517 360 korun).

    Ladislav Hagara | Komentářů: 7
    včera 15:11 | Nová verze

    Byla vydána nová stabilní verze 6.6 webového prohlížeče Vivaldi (Wikipedie). Postavena je na Chromiu 122. Přehled novinek i s náhledy v příspěvku na blogu. Nově umí webovým stránkách vnutit tmavý styl. Webové panely podporují rozšíření. Vylepšena byla i Pošta a Poznámky.

    Ladislav Hagara | Komentářů: 0
    včera 14:55 | IT novinky

    Z aktuálních globálních statistik společnosti Statcounter: na desktopu má Linux podíl 4,03 %, Firefox 7,26 %, …

    Ladislav Hagara | Komentářů: 5
    včera 07:00 | Nová verze

    Linuxová distribuce openmediavault (Wikipedie) založená na Debianu a určená pro datová úložiště na síti (NAS) byla vydána ve verzi 7 (Mastodon). Její kódový název je Sandworm (písečný červ). Přehled novinek v oficiálním oznámení. Nejnovější openmediavault je založen na Debianu 12 s kódovým názvem Bookworm.

    Ladislav Hagara | Komentářů: 0
    3.3. 14:33 | Zajímavý software

    Ente je open source služba pro ukládání a sdílení fotografií a videí. Alternativa k výchozím aplikacím od Googlu a Applu. V pátek byly uvolněny zdrojové kódy serveru pod licencí AGPL 3.0 [Hacker News].

    Ladislav Hagara | Komentářů: 10
    Steam
     (32%)
     (29%)
     (8%)
     (8%)
     (23%)
    Celkem 132 hlasů
     Komentářů: 0
    Rozcestník

    Dotaz: Okular neotevře PDF

    19.10.2013 23:58 Olaf
    Okular neotevře PDF
    Přečteno: 459×

    Zdar, gizdi,
    včera jsem po dlouhé době aktualizoval notebook s openSUSE 12.2, nahodil jsem i nové KDE 4.11 a dnes nemůžu otevřít v Okularu ani jeden pdf dokument. Například EPS grafiku Okular normálně přečte. PDF lze otevřít i v interním prohlížeči TeXMakeru. Ale PDF v Okularu nejde. Hláška: "Nebyl nalezen zásuvný modul vhodný pro zpracování zadaného dokumentu". Po spuštění v konzole to píše toto:

    olaf@suse:~> okular
    okular(3718)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
    okular(3718)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
    okular(3718)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
    okular(3718)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
    okular(3718)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
    okular(3718) KSambaSharePrivate::testparmParamValue: We got some errors while running testparm "Load smb config files from /etc/samba/smb.conf
    Ignoring unknown parameter "ready only"
    Loaded services file OK.
    " 
    okular(3718)/okular (app) Okular::Document::openDocument: No plugin for mimetype '"application/pdf"'.
    

    Google jsem prolezl jakžtakž, ale nic vhodného jsem nenašel. Setkal se s tím někdo?

    PS: Zkoušel jsem downgradovat Okular, dále update-desktop-database i kbuildsycoca4 --noincremental.

    Odpovědi

    20.10.2013 15:32 Ziktofel
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    nechybi ti nahodou ghostscript?
    20.10.2013 18:45 Olaf
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    Nechybí, mám. Navíc .PS soubory Okular v pohodě otevře.
    20.10.2013 19:30 petr_p | skóre: 59 | blog: pb
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    Protože se jedná o distribuční problém, doporučuji se zeptat v Bugzille Novellu. Jestli se to tam už řeší, vám ale nepovím, protože mě tam Fiferox nepustí (Partner protokolu SSL se pokusil o inicializaci starého (potenciálně napadnutelného) typu).
    20.10.2013 21:35 Olaf
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    Neřeší. Ani nevím, jestli má cenu to hlásit, 12.2 je na konci své cesty. Zatím si patrně nahodím Adobe (uch) a brzo provedu upgrade na 12.3.
    20.10.2013 23:29 lertimir | skóre: 64 | blog: Par_slov
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    Podle mne je to porušená instalace. Používám openSUSE KDE dlouho, a na verzi 12.x je mi nikdy a nikde (5 instalací) nestalo, že by Okular neotevřel PDF. Nicméně volán z shellu nic nenapíše, a nejsem schopen vám říci, kde vlastně nabírá moduly. Je to špatně i pod zcela nově vytvořeným uživatelem?
    21.10.2013 04:00 Olaf
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    Na SuSE jedu asi 6 let. Tohle je poprvé, co se mi stala taková "blbost". Nakonec jsem downgradoval celé KDE (na KDE 4.10.x) a vše jede, včetně Okularu. Možná je dost malý průnik SuSE 11.2 a KDE 4.11.x -- netuším. Každopádně po snížení verze to jede (předtím jsem zkoušel downgradovat jen Okular, ale to nepomohlo). Zvláštní, že všechny ostatní programy pro PDF fungovaly normálně (škoda jen, že žádná jiná ze čteček nevykreslovala LaTeXové soubory tak hezky jako Okular, s výjimkou interního readeru TeXmakeru; některé i padaly).
    20.10.2013 22:52 potato
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    Předpokládám, že okularGenerator_poppler.so ti nikam nezmizel a má splněné závislosti (ldd...). Lze ještě zkusit

    kbuildsycoca4 --noincremental

    ale to asi nepomůže.
    21.10.2013 03:55 Olaf
    Rozbalit Rozbalit vše Re: Okular neotevře PDF
    Vše je na svém místě... Kbuild-blabla jsem zkoušek (viz text nahoře), stejně nic.
    21.10.2013 08:06 petr_p | skóre: 59 | blog: pb
    Rozbalit Rozbalit vše Re: Okular neotevře PDF

    V jediném upstreamovém hlášení jeden člověk tvrdí, že celý problém byl, že poppler nebyl přeložen s podporou Qt4.

    V Gentoo tento příznak přibyl „nedávno“. Navíc správce v Gentoo si stěžuje, že pro Qt5 se konfigurace chová automagicky. Je docela možné, že lidi ve SuSE si toho nevšimli.

    Máte v systému knihovnu libpoppler-qt4.so.*? Pokud ano, pak je ještě možné, že balíček pro okular nebyl po zapnutí podpory Qt v poppleru znovu přeložen.

    Každopádně vám doporučuji aktualizovat na poslední verzi distribuce a bavit se s distributorem. Takového tlachaní na Abíčku nic nevyřeší.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.